/* 
RS232-Simplest possible TX example for the ATmega168. Everything is in main().
Produces about 216 bytes of loaded code with -O3
*/
 
#include <avr/io.h>
#define F_CPU 8000000UL
#define baud 9600

int main(void)
{
    long temp = F_CPU/(16UL*baud)-1;  //set uart baud rate register
    UBRR0H = (temp >> 8);
    UBRR0L = (temp & 0xFF);
    UCSR0B= (1 <<RXEN0 | 1 << TXEN0 ); // enable RX and TX 
    UCSR0C = (3<<UCSZ00);  // 8 bits, no parity, 1 stop
   
   while(1) {
    
    while((UCSR0A & (1 <<UDRE0)) == 0);  // wait until data register is empty
    UDR0 = 'a'; // Transmit the letter a

   };
   return 0;
}
